/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workchangejob.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;
import com.jeeplus.modules.workstaff.entity.WorkStaffBasicInfo;

/**
 * 职级调整明细Entity
 * @author chenyuping
 * @version 2018-08-02
 */
public class WorkChangeJobUser extends DataEntity<WorkChangeJobUser> {
	
	private static final long serialVersionUID = 1L;
	private String officeId;		// 所属部门
	private String companyId;		// 所属公司
	private String changeId;		// 调整表主键
	private String userId;		// 用户表主键
	private String basicInfoId;		// 入职表主键
	private String after;		// 调整后
	private String before;		// 调整前
	private String afterName;		// 调整后
	private String beforeName;		// 调整前

	public String getAfterName() {
		return afterName;
	}

	public void setAfterName(String afterName) {
		this.afterName = afterName;
	}

	public String getBeforeName() {
		return beforeName;
	}

	public void setBeforeName(String beforeName) {
		this.beforeName = beforeName;
	}

	public WorkStaffBasicInfo getWorkStaffBasicInfo() {
		return workStaffBasicInfo;
	}

	public void setWorkStaffBasicInfo(WorkStaffBasicInfo workStaffBasicInfo) {
		this.workStaffBasicInfo = workStaffBasicInfo;
	}

	private WorkStaffBasicInfo workStaffBasicInfo;
	public WorkChangeJobUser() {
		super();
	}

	public WorkChangeJobUser(String id){
		super(id);
	}


	public String getOfficeId() {
		return officeId;
	}

	public void setOfficeId(String officeId) {
		this.officeId = officeId;
	}
	

	public String getCompanyId() {
		return companyId;
	}

	public void setCompanyId(String companyId) {
		this.companyId = companyId;
	}
	

	public String getChangeId() {
		return changeId;
	}

	public void setChangeId(String changeId) {
		this.changeId = changeId;
	}
	

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}
	

	public String getBasicInfoId() {
		return basicInfoId;
	}

	public void setBasicInfoId(String basicInfoId) {
		this.basicInfoId = basicInfoId;
	}
	

	public String getAfter() {
		return after;
	}

	public void setAfter(String after) {
		this.after = after;
	}
	

	public String getBefore() {
		return before;
	}

	public void setBefore(String before) {
		this.before = before;
	}
	private String no;
	private String name;
	private String newJob;
	@ExcelField(title="工号", align=2, sort=1)
	public String getNo() {
		return no;
	}

	public void setNo(String no) {
		this.no = no;
	}
	@ExcelField(title="姓名", align=2, sort=2)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	@ExcelField(title="新职级", align=2, sort=7)
	public String getNewJob() {
		return newJob;
	}

	public void setNewJob(String newJob) {
		this.newJob = newJob;
	}
}